## node-jest 24.9.0+ds

=== debian/changelog ===
node-jest (24.9.0+ds-3) unstable; urgency=medium

  * Remove useless node-babel 6 dependencies

 -- Xavier Guimard <yadd@debian.org>  Wed, 24 Jun 2020 12:50:36 +0200

node-jest (24.9.0+ds-2) unstable; urgency=medium

  * Source-only upload

 -- Xavier Guimard <yadd@debian.org>  Wed, 24 Jun 2020 12:39:23 +0200

node-jest (24.9.0+ds-1) experimental; urgency=medium

  * Exclude website from import and repack
  * Fix copyright

 -- Xavier Guimard <yadd@debian.org>  Fri, 01 May 2020 09:46:02 +0200

node-jest (24.9.0-3) experimental; urgency=medium

  * Use pkg-js-tools auto link during build

 -- Xavier Guimard <yadd@debian.org>  Fri, 01 May 2020 09:09:12 +0200

node-jest (24.9.0-2) experimental; urgency=medium

  * Update copyright

 -- Xavier Guimard <yadd@debian.org>  Mon, 27 Apr 2020 00:55:12 +0200

node-jest (24.9.0-1) unstable; urgency=medium

  [ Pirate Praveen, Xavier Guimard ]
  * Initial release (Closes: #890253)

 -- Xavier Guimard <yadd@debian.org>  Wed, 18 Mar 2020 18:16:47 +0100
