=== debian/control ===
Source: node-jest
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>,
 Xavier Guimard <yadd@debian.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends:
 debhelper-compat (= 12)
 , node-babel7
 , node-browserslist
 , node-ci-info
 , node-crypto-browserify
 , node-flow-remove-types
 , node-glob (>= 7.1.1)
 , node-mkdirp (>= 0.5.1)
 , node-rollup-plugin-babel
 , node-rollup-plugin-commonjs
 , node-rollup-plugin-json
 , node-rollup-plugin-node-resolve
 , node-strip-ansi (>= 4.0.0)
 , nodejs
 , pkg-js-tools (>= 0.9.35~)
 , rollup
 , webpack
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/js-team/node-jest
Vcs-Git: https://salsa.debian.org/js-team/node-jest.git
Homepage: http://facebook.github.io/jest/
Rules-Requires-Root: no

Package: jest
Architecture: all
Depends:
 ${misc:Depends}
 , node-ansi-escapes (>= 3.0.0)
 , node-chalk (>= 2.0.1)
 , node-ci-info
 , node-exit
 , node-glob (>= 7.1.2)
 , node-graceful-fs (>= 4.1.11)
 , node-micromatch
 , node-rimraf (>= 2.5.4)
 , node-slash
 , node-strip-ansi (>= 4.0.0)
 , node-which (>= 1.2.12)
 , node-yargs (>= 10.0.3)
 , nodejs
Provides:
 ${nodejs:Provides}
 , node-jest
Description: Delightful JavaScript Testing
 Some features of this testing framework are:
  * Easy Setup: Jest is a complete and easy to set up JavaScript testing
  solution. In fact, Jest works out of the box for any React project.
  * Instant Feedback: Failed tests run first. Fast interactive mode can switch
  between running all tests or only test files related to changed files.
  * Snapshot Testing: Jest can capture snapshots of React trees or other
  serializable values to simplify UI testing.
 .
 Node.js is an event-based server-side JavaScript engine.
