=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)

export NODE_PATH=debian/node_modules

%:
	dh $@ --with nodejs


override_dh_auto_build:
	NODE_PATH=debian/build_modules node ./scripts/build.js

override_dh_installexamples:
	dh_installexamples
	find debian/jest -name .gitignore -delete

override_dh_auto_clean:
	dh_auto_clean --buildsystem=nodejs
	find . -name build |xargs rm -rf

override_dh_fixperms:
	dh_fixperms
	chmod +x $(TMP)/usr/share/nodejs/jest/bin/jest.js
	chmod +x $(TMP)/usr/share/nodejs/jest-cli/bin/jest.js
	chmod +x $(TMP)/usr/share/nodejs/jest-repl/bin/jest-repl.js
	chmod +x $(TMP)/usr/share/nodejs/jest-repl/build/cli/index.js
	chmod +x $(TMP)/usr/share/nodejs/jest-runtime/bin/jest-runtime.js
	chmod +x $(TMP)/usr/share/nodejs/jest-repl/src/cli/index.ts
