=== debian/watch ===
version=4
opts=\
repacksuffix=+ds,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-jest-$1.tar.gz/ \
 https://github.com/facebook/jest/tags .*/archive/v?([\d\.]+).tar.gz

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=typesjest,pgpmode=none" \
 https://registry.npmjs.org/@types/jest https://registry.npmjs.org/@types/jest/-/jest-([\d\.]+)@ARCHIVE_EXT@ same
