## node-jest 26.6.3+ds+~cs64.27.30

=== debian/changelog ===
node-jest (26.6.3+ds+~cs64.27.30-3) unstable; urgency=medium

  * Install docs
  * Add README.Debian
  * Set upstream metadata fields: Bug-Submit.
  * Declare compliance with policy 4.5.1
  * Really exclude quilt files from test
  * Update debian/README.Debian
  * Fix debian/rules for pkg-js-tools ≥ 0.9.49

 -- Xavier Guimard <yadd@debian.org>  Thu, 26 Nov 2020 22:33:41 +0100

node-jest (26.6.3+ds+~cs64.27.30-2) unstable; urgency=medium

  * Automatically exclude quilt files
  * Add tests

 -- Xavier Guimard <yadd@debian.org>  Tue, 17 Nov 2020 10:44:08 +0100

node-jest (26.6.3+ds+~cs64.27.30-1) unstable; urgency=medium

  * Update homepage
  * Bump debhelper compatibility level to 13
  * Use dh-sequence-nodejs
  * Remove test
  * Require newer jsdom
  * Embed components: astral-regex char-regex babel-preset-moxy import-local
    natural-compare natural-compare-lite p-each-series p-reduce string-length
    supports-hyperlinks terminal-link throat jest-pnp-resolver is-ci callsites
    @bcoe/v8-coverage collect-v8-coverage dedent repl (Closes: #963628)
  * New upstream version 26.6.3+ds+~cs64.27.30
  * Refresh patches
  * Update dependencies
  * Add Breaks against node-typescript-types < 20200626 (Closes: #964004)
  * Update copyright

 -- Xavier Guimard <yadd@debian.org>  Mon, 09 Nov 2020 05:37:49 +0100
