=== debian/control ===
--- 
+++ 
@@ -6,45 +6,87 @@
 Testsuite: autopkgtest-pkg-nodejs
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12)
- , node-babel7
- , node-browserslist
- , node-ci-info
- , node-crypto-browserify
- , node-flow-remove-types
- , node-glob (>= 7.1.1)
- , node-mkdirp (>= 0.5.1)
+ debhelper-compat (= 13)
+ , dh-sequence-nodejs
+ , help2man
+ , node-babel7 (>= 7.8.3)
+ , node-browserslist <!nocheck>
+ , node-ci-info <!nocheck>
+ , node-crypto-browserify <!nocheck>
+ , node-emittery <!nocheck>
+ , node-json-stable-stringify <!nocheck>
+ , node-flow-remove-types <!nocheck>
+ , node-glob (>= 7.1.1) <!nocheck>
+ , node-mkdirp (>= 0.5.1) <!nocheck>
+ , node-prompts <!nocheck>
+ , node-read-pkg
+ , node-sane <!nocheck>
  , node-rollup-plugin-babel
  , node-rollup-plugin-commonjs
  , node-rollup-plugin-json
  , node-rollup-plugin-node-resolve
- , node-strip-ansi (>= 4.0.0)
- , nodejs
- , pkg-js-tools (>= 0.9.35~)
+ , node-rollup-plugin-typescript
+ , node-strip-ansi (>= 4.0.0) <!nocheck>
  , rollup
  , webpack
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-jest
 Vcs-Git: https://salsa.debian.org/js-team/node-jest.git
-Homepage: http://facebook.github.io/jest/
+Homepage: https://jestjs.io
 Rules-Requires-Root: no
 
 Package: jest
 Architecture: all
 Depends:
  ${misc:Depends}
- , node-ansi-escapes (>= 3.0.0)
- , node-chalk (>= 2.0.1)
+ , node-ansi-escapes
+ , node-ansi-regex
+ , node-ansi-styles
+ , node-anymatch
+ , node-babel-plugin-add-module-exports
+ , node-babel7
+ , node-camelcase
+ , node-chalk
  , node-ci-info
+ , node-co
+ , node-convert-source-map
+ , node-deepmerge
+ , node-detect-newline
+ , node-emittery
+ , node-execa
  , node-exit
- , node-glob (>= 7.1.2)
- , node-graceful-fs (>= 4.1.11)
+ , node-json-stable-stringify
+ , node-glob
+ , node-graceful-fs
+ , node-has-flag
+ , node-is-generator-fn
+ , node-istanbul
+ , node-jsdom
+ , node-leven
+ , node-merge-stream
  , node-micromatch
- , node-rimraf (>= 2.5.4)
+ , node-minimist
+ , node-pkg-dir
+ , node-prompts
+ , node-react
+ , node-read-pkg-up
+ , node-resolve
+ , node-resolve-cwd
+ , node-rimraf
+ , node-sane
+ , node-semver
+ , node-sinon
  , node-slash
- , node-strip-ansi (>= 4.0.0)
- , node-which (>= 1.2.12)
- , node-yargs (>= 10.0.3)
+ , node-source-map
+ , node-source-map-support
+ , node-stack-utils
+ , node-strip-ansi
+ , node-strip-bom
+ , node-supports-color
+ , node-typescript-types
+ , node-which
+ , node-write-file-atomic
+ , node-yargs
  , nodejs
 Provides:
  ${nodejs:Provides}
