=== debian/rules ===
--- 
+++ 
@@ -10,11 +10,14 @@
 export NODE_PATH=debian/node_modules
 
 %:
-	dh $@ --with nodejs
-
+	dh $@
 
 override_dh_auto_build:
+	dh_auto_build --buildsystem=nodejs
 	NODE_PATH=debian/build_modules node ./scripts/build.js
+	#NODE_PATH=debian/build_modules node ./scripts/buildTs.js
+	perl -i -pe "s#/usr/lib/nodejs#/usr/lib/nodejs','/usr/lib/"$(DEB_HOST_MULTIARCH)"/nodejs#" packages/jest-resolve/build/index.js
+	help2man packages/jest/bin/jest.js --no-info >jest.1
 
 override_dh_installexamples:
 	dh_installexamples
@@ -22,13 +25,18 @@
 
 override_dh_auto_clean:
 	dh_auto_clean --buildsystem=nodejs
-	find . -name build |xargs rm -rf
+	find . -name build|grep -v debian |xargs rm -rf
+
+override_dh_install:
+	dh_install
+	rm -rf `find $(TMP) -name '__*__'`
 
 override_dh_fixperms:
 	dh_fixperms
+	chmod +x $(TMP)/usr/share/nodejs/import-local/fixtures/cli.js
+	chmod +x $(TMP)/usr/share/nodejs/is-ci/bin.js
 	chmod +x $(TMP)/usr/share/nodejs/jest/bin/jest.js
 	chmod +x $(TMP)/usr/share/nodejs/jest-cli/bin/jest.js
 	chmod +x $(TMP)/usr/share/nodejs/jest-repl/bin/jest-repl.js
 	chmod +x $(TMP)/usr/share/nodejs/jest-repl/build/cli/index.js
 	chmod +x $(TMP)/usr/share/nodejs/jest-runtime/bin/jest-runtime.js
-	chmod +x $(TMP)/usr/share/nodejs/jest-repl/src/cli/index.ts
