=== debian/watch ===
version=4
opts=\
repacksuffix=+ds,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-jest-$1.tar.gz/ \
 https://github.com/facebook/jest/tags .*/archive/v?([\d\.]+).tar.gz group

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=jest-pnp-resolver,pgpmode=none" \
 https://registry.npmjs.org/jest-pnp-resolver https://registry.npmjs.org/jest-pnp-resolver/-/jest-pnp-resolver-([\d\.]+)@ARCHIVE_EXT@ checksum

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=typesjest,pgpmode=none" \
 https://registry.npmjs.org/@types/jest https://registry.npmjs.org/@types/jest/-/jest-([\d\.]+)@ARCHIVE_EXT@ checksum

opts=\
component=astral-regex,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-astral-regex-$1.tar.gz/ \
 https://github.com/kevva/astral-regex/tags .*/archive/v?([\d\.]+).tar.gz checksum

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=babel-preset-moxy,pgpmode=none" \
 https://registry.npmjs.org/babel-preset-moxy https://registry.npmjs.org/babel-preset-moxy/-/babel-preset-moxy-([\d\.]+)@ARCHIVE_EXT@ checksum

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=bcoe-v8-coverage,pgpmode=none" \
 https://registry.npmjs.org/@bcoe/v8-coverage https://registry.npmjs.org/@bcoe/v8-coverage/-/v8-coverage-([\d\.]+)@ARCHIVE_EXT@ checksum

opts=\
component=callsites,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-callsites-$1.tar.gz/ \
 https://github.com/sindresorhus/callsites/tags .*/archive/v?([\d\.]+).tar.gz checksum

opts=\
component=char-regex,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-char-regex-$1.tar.gz/ \
 https://github.com/Richienb/char-regex/tags .*/archive/v?([\d\.]+).tar.gz checksum

opts=\
component=collect-v8-coverage,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-collect-v8-coverage-$1.tar.gz/ \
 https://github.com/SimenB/collect-v8-coverage/tags .*/archive/v?([\d\.]+).tar.gz checksum

opts=\
component=dedent,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-dedent-$1.tar.gz/ \
 https://github.com/dmnd/dedent/tags .*/archive/v?([\d\.]+).tar.gz checksum

opts=\
component=import-local,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-import-local-$1.tar.gz/ \
 https://github.com/sindresorhus/import-local/tags .*/archive/v?([\d\.]+).tar.gz checksum

opts=\
component=is-ci,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-is-ci-$1.tar.gz/ \
 https://github.com/watson/is-ci/tags .*/archive/v?([\d\.]+).tar.gz checksum
