## node-jest 26.6.3+repack+~cs61.38.31

=== debian/changelog ===
node-jest (26.6.3+repack+~cs61.38.31-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Update minimum version of dependencies

 -- Pirate Praveen <praveen@debian.org>  Sat, 09 Jan 2021 22:42:18 +0530

node-jest (26.6.3+repack+~cs61.38.31-2) unstable; urgency=medium

  * Indicate that node-jest-worker and node-jest-debbundle breaks previous
    jest (Closes: #976819)

 -- Xavier Guimard <yadd@debian.org>  Tue, 08 Dec 2020 10:40:14 +0100

node-jest (26.6.3+repack+~cs61.38.31-1) unstable; urgency=medium

  * Back to unstable
  * Remove useless component realpath-native
  * Components:
    + remove callsites (provided by node-cosmiconfig) (Closes: #976618)
    + add @types/is-ci, @types/dedent and @types/natural-compare
  * Update build
  * New upstream version 26.6.3+repack+~cs61.38.31
  * Fix cosmiconfig dep

 -- Xavier Guimard <yadd@debian.org>  Sun, 06 Dec 2020 14:49:44 +0100

node-jest (26.6.3+ds+~cs64.28.30-3) experimental; urgency=medium

  * Reduce binary packages

 -- Xavier Guimard <yadd@debian.org>  Sat, 05 Dec 2020 10:09:56 +0100

node-jest (26.6.3+ds+~cs64.28.30-2) experimental; urgency=medium

  * Fix debian/clean
  * Don't install diff-sequences test files
  * Split in 13 binary packages (Closes: #976341)

 -- Xavier Guimard <yadd@debian.org>  Fri, 04 Dec 2020 11:32:35 +0100

node-jest (26.6.3+ds+~cs64.28.30-1) unstable; urgency=medium

  * New upstream version 26.6.3+ds+~cs64.28.30
    Updates: p-each-series 2.2.0
  * Install /usr/bin/jest-runtime and /usr/bin/jest-repl
  * Update README.Debian
  * Use ctype in debian/watch

 -- Xavier Guimard <yadd@debian.org>  Tue, 01 Dec 2020 16:22:04 +0100
