=== debian/control ===
--- 
+++ 
@@ -9,9 +9,11 @@
  debhelper-compat (= 13)
  , dh-sequence-nodejs
  , help2man
+ , jq
  , node-babel7 (>= 7.8.3)
  , node-browserslist <!nocheck>
  , node-ci-info <!nocheck>
+ , node-cosmiconfig (>= 7.0.0+~cs8.3.2~)
  , node-crypto-browserify <!nocheck>
  , node-emittery <!nocheck>
  , node-json-stable-stringify <!nocheck>
@@ -19,15 +21,16 @@
  , node-glob (>= 7.1.1) <!nocheck>
  , node-mkdirp (>= 0.5.1) <!nocheck>
  , node-prompts <!nocheck>
- , node-read-pkg
+ , node-read-pkg (>= 5.2~)
  , node-sane <!nocheck>
- , node-rollup-plugin-babel
+ , node-rollup-plugin-babel (>= 5.2~)
  , node-rollup-plugin-commonjs
  , node-rollup-plugin-json
  , node-rollup-plugin-node-resolve
- , node-rollup-plugin-typescript
+ , node-rollup-plugin-typescript (>= 6.0~)
+ , node-typescript (>= 4.0~)
  , node-strip-ansi (>= 4.0.0) <!nocheck>
- , rollup
+ , rollup (>= 2~)
  , webpack
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-jest
@@ -37,9 +40,7 @@
 
 Package: jest
 Architecture: all
-Depends:
- ${misc:Depends}
- , node-ansi-escapes
+Depends: ${misc:Depends}
  , node-ansi-regex
  , node-ansi-styles
  , node-anymatch
@@ -47,9 +48,9 @@
  , node-babel7
  , node-camelcase
  , node-chalk
- , node-ci-info
  , node-co
  , node-convert-source-map
+ , node-cosmiconfig (>= 7.0.0+~cs8.3.2~)
  , node-deepmerge
  , node-detect-newline
  , node-emittery
@@ -58,20 +59,19 @@
  , node-json-stable-stringify
  , node-glob
  , node-graceful-fs
- , node-has-flag
  , node-is-generator-fn
  , node-istanbul
+ , node-jest-debbundle
+ , node-jest-worker
  , node-jsdom
  , node-leven
- , node-merge-stream
  , node-micromatch
  , node-minimist
- , node-pkg-dir
  , node-prompts
  , node-react
+ , node-read-pkg (>= 5.2~)
  , node-read-pkg-up
  , node-resolve
- , node-resolve-cwd
  , node-rimraf
  , node-sane
  , node-semver
@@ -80,17 +80,12 @@
  , node-source-map
  , node-source-map-support
  , node-stack-utils
- , node-strip-ansi
  , node-strip-bom
- , node-supports-color
- , node-typescript-types
  , node-which
  , node-write-file-atomic
  , node-yargs
  , nodejs
-Provides:
- ${nodejs:Provides}
- , node-jest
+Provides: ${jest:Provides}
 Description: Delightful JavaScript Testing
  Some features of this testing framework are:
   * Easy Setup: Jest is a complete and easy to set up JavaScript testing
@@ -101,3 +96,60 @@
   serializable values to simplify UI testing.
  .
  Node.js is an event-based server-side JavaScript engine.
+
+Package: node-jest-worker
+Architecture: all
+Depends: ${misc:Depends}
+ , node-merge-stream
+ , node-supports-color
+ , node-typescript-types
+Breaks: jest (<< 26.6.3+repack~)
+Description: Nodejs module for executing heavy tasks under forked processes in parallel
+ jest-worker provides a `Promise` based interface, minimum overhead and
+ bound workers.
+ .
+ The module works by providing an absolute path of the module to be loaded in
+ all forked processes. Files relative to a node module are also accepted. All
+ methods are exposed on the parent process as promises, so they can be
+ `await`'ed. Child (worker) methods can either be synchronous or asynchronous.
+ .
+ The module also implements support for bound workers. Binding a worker means
+ that, based on certain parameters, the same task will always be executed by
+ the same worker. The way bound workers work is by using the returned string
+ of the `computeWorkerKey` method. If the string was used before for a task,
+ the call will be queued to the related worker that processed the task earlier;
+ if not, it will be executed by the first available worker, then sticked to the
+ worker that executed it; so the next time it will be processed by the same
+ worker. If you have no preference on the worker executing the task, but you
+ have defined a `computeWorkerKey` method because you want _some_ of the tasks
+ to be sticked, you can return `null` from it.
+
+Package: node-jest-debbundle
+Architecture: all
+Depends: ${misc:Depends}
+ , node-ansi-escapes
+ , node-ci-info
+ , node-has-flag
+ , node-pkg-dir
+ , node-resolve-cwd
+ , node-strip-ansi
+ , node-supports-color
+ , nodejs
+Provides: ${jest:depsProvides}
+Breaks: jest (<< 26.6.3+repack~)
+Description: various ittle Node.js modules needed by jest
+ This package provides:
+  * astral-regex
+  * babel-preset-jest
+  * babel-plugin-jest-hoist
+  * babel-preset-moxy.
+  * char-regex
+  * dedent
+  * import-local
+  * is-ci
+  * p-each-series
+  * p-reduce
+  * repl
+  * string-length
+  * terminal-link
+  * throat
