=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

JESTDIR     = $(CURDIR)/debian/jest

%:
	dh $@

override_dh_auto_build:
	dh_auto_build --buildsystem=nodejs
	NODE_PATH=debian/build_modules node ./scripts/build.js
	#NODE_PATH=debian/build_modules node ./scripts/buildTs.js
	perl -i -pe "s#/usr/lib/nodejs#/usr/lib/nodejs','/usr/lib/"$(DEB_HOST_MULTIARCH)"/nodejs#" packages/jest-resolve/build/index.js
	set -e; for f in jest jest-repl jest-runtime; do \
		help2man packages/$$f/bin/$$f.js --no-discard-stderr --no-info >$$f.1; \
	done

override_dh_install:
	dh_install
	# Remove separated package files from main one (jest)
	cd debian/jest && rm -rf `cat ../../debian/node-*.install|sed 's/.* //g'`
	mkdir -p debian/debbundle-docs
	for mod in `cat debian/node-jest-debbundle.install|sed -e 's/.*nodejs\///'`; do \
		echo "Looking for $$mod docs"; \
		if [ -e packages/$$mod ]; then \
			cp packages/$$mod/README.md debian/debbundle-docs/README.$$mod.md; \
		else \
			find $$mod/ -maxdepth 1 -iname 'readme*' -exec cp '{}' debian/debbundle-docs/README.$$mod.md ';' ; \
		fi \
	done

override_dh_installexamples:
	dh_installexamples
	find debian/jest -name .gitignore -delete

override_dh_gencontrol:
	JESTPROVIDES=`grep -sh 'nodejs:Provides' debian/*.substvars|head -n1|sed -e 's/nodejs:Provides=//'`; \
	set -e; \
	for m in `cd debian && ls node*.install`; do \
		bundle=''; \
		mod=$${m%.install}; \
		nmod=$${mod#node-}; \
		echo "$$mod version is ($$version)"; \
		for p in `cat debian/$$mod.install`; do \
			pversion=`jq -r .version debian/$$mod/$$p/package.json` ; \
			pname=`jq -r .name debian/$$mod/$$p/package.json` ; \
			pname=`echo $$pname|sed -e 's/^.types./types-/'`; \
			echo "found node-$$pname in $$mod"i; \
			bundle="node-$$pname (=$$pversion-1), $$bundle"; \
		done; \
		echo dh_gencontrol -p$$mod -- -Vjest:depsProvides="$$bundle"; \
		dh_gencontrol -p$$mod -- -Vjest:depsProvides="$$bundle"; \
		JESTPROVIDES=`echo $$JESTPROVIDES|sed -e "s/ $$mod [^,]*,//"`; \
	done; \
	echo "jest Provides value: $$JESTPROVIDES"; \
	dh_gencontrol -pjest -- -Vjest:Provides="$$JESTPROVIDES"

override_dh_auto_clean:
	dh_auto_clean --buildsystem=nodejs
	find . -name build|grep -v debian |xargs rm -rf

override_dh_fixperms:
	dh_fixperms
	chmod +x $(CURDIR)/debian/node-jest-debbundle/usr/share/nodejs/import-local/fixtures/cli.js
	chmod +x $(CURDIR)/debian/node-jest-debbundle/usr/share/nodejs/is-ci/bin.js
	chmod +x $(JESTDIR)/usr/share/nodejs/jest/bin/jest.js
	chmod +x $(JESTDIR)/usr/share/nodejs/jest-cli/bin/jest.js
	chmod +x $(JESTDIR)/usr/share/nodejs/jest-repl/bin/jest-repl.js
	chmod +x $(JESTDIR)/usr/share/nodejs/jest-repl/build/cli/index.js
	chmod +x $(JESTDIR)/usr/share/nodejs/jest-runtime/bin/jest-runtime.js
