## node-jest 26.6.3+repack+~cs64.44.39

=== debian/changelog ===
node-jest (26.6.3+repack+~cs64.44.39-3) unstable; urgency=medium

  * Fix build when build target is architecture:only or architecture:any

 -- Xavier Guimard <yadd@debian.org>  Sun, 31 Jan 2021 11:33:54 +0100

node-jest (26.6.3+repack+~cs64.44.39-2) unstable; urgency=medium

  * Set Architecture to "any" (Closes: #981286)

 -- Xavier Guimard <yadd@debian.org>  Sat, 30 Jan 2021 12:39:53 +0100

node-jest (26.6.3+repack+~cs64.44.39-1) unstable; urgency=medium

  * Embed jest-tobetype and repack (Closes: #980713)

 -- Xavier Guimard <yadd@debian.org>  Thu, 21 Jan 2021 22:19:16 +0100

node-jest (26.6.3+repack+~cs61.38.35-1) unstable; urgency=medium

  [ Pirate Praveen ]
  * Update minimum version of dependencies

  [ Xavier Guimard ]
  * New upstream version 26.6.3+repack+~cs61.38.35
    Updates: @types/jest 26.0.20
  * Remove duplicate node-typescript dependency

 -- Xavier Guimard <yadd@debian.org>  Tue, 19 Jan 2021 10:29:58 +0100

node-jest (26.6.3+repack+~cs61.38.31-7) unstable; urgency=medium

  * Add jest-worker dependency to node-types-node
  * Force prettierPath to empty string (node-prettier not available)

 -- Xavier Guimard <yadd@debian.org>  Mon, 11 Jan 2021 16:49:56 +0100

node-jest (26.6.3+repack+~cs61.38.31-6) unstable; urgency=medium

  * Refresh typescript patch
  * Remove dependency to node-typescript-types (Closes: #979761)

 -- Xavier Guimard <yadd@debian.org>  Mon, 11 Jan 2021 13:46:25 +0100

node-jest (26.6.3+repack+~cs61.38.31-5) unstable; urgency=medium

  * Fix minimal version for node-babel*
  * Update @bcoe/v8-coverage build
  * Build typescript definitions (Closes: #974648):
    + Embed some modules needed to build typescript definitions
    + Add many build dependencies
    + Add many of them into debian/nodejs/extlinks and debian/nodejs/extcopies
      to workaround poor typescript module resolution algorithm
    + Embed initial jest-diff and prettier-format typescript definitions to
      avoid a circular build dependency to itself (and an initial binary
      upload)
    + Embed @bcoe/v8-coverage typescript definition (building typescript
      definitions seems to require many unavailable packages)
    + Add patch to ignore some strange typescript errors
      (using "// @ts-ignore" hook), partially due to typescript-4.1 regression
  * Add lintian overrides

 -- Xavier Guimard <yadd@debian.org>  Fri, 08 Jan 2021 12:23:51 +0100

node-jest (26.6.3+repack+~cs61.38.31-4) unstable; urgency=medium

  * Fix "Provides" fields

 -- Xavier Guimard <yadd@debian.org>  Wed, 06 Jan 2021 18:41:37 +0100

node-jest (26.6.3+repack+~cs61.38.31-3) unstable; urgency=medium

  * Explicitly (build-)depend on needed babel modules (Closes: #977670)

 -- Xavier Guimard <yadd@debian.org>  Fri, 18 Dec 2020 18:04:29 +0100
