=== debian/control ===
--- 
+++ 
@@ -5,32 +5,84 @@
 Section: javascript
 Testsuite: autopkgtest-pkg-nodejs
 Priority: optional
-Build-Depends:
- debhelper-compat (= 13)
+Build-Depends: chai
+ , debhelper-compat (= 13)
  , dh-sequence-nodejs
  , help2man
  , jq
- , node-babel7 (>= 7.8.3)
+ , node-ansi-escapes
+ , node-ansi-regex
+ , node-ansi-styles
+ , node-anymatch
+ , node-babel-core (>= 7.8.3)
+ , node-babel-preset-react (>= 7)
+ , node-babel-register (>= 7)
+ , node-babel-traverse (>= 7)
+ , node-babel7
+ , node-braces
  , node-browserslist <!nocheck>
- , node-ci-info <!nocheck>
- , node-cosmiconfig (>= 7.0.0+~cs8.3.2~)
+ , node-camelcase
+ , node-chalk
+ , node-chokidar
+ , node-ci-info
+ , node-co
+ , node-color-name
+ , node-convert-source-map
+ , node-cosmiconfig
  , node-crypto-browserify <!nocheck>
- , node-emittery <!nocheck>
- , node-json-stable-stringify <!nocheck>
+ , node-deepmerge
+ , node-detect-newline
+ , node-emittery
+ , node-execa
+ , node-exit
  , node-flow-remove-types <!nocheck>
- , node-glob (>= 7.1.1) <!nocheck>
+ , node-glob (>= 7.1.1)
+ , node-glob-stream (>= 6.1.0+~6.1.0~)
+ , node-graceful-fs
+ , node-is-generator-fn
+ , node-istanbul
+ , node-jsdom
+ , node-json-stable-stringify
+ , node-leven
+ , node-make-error
+ , node-merge-stream
+ , node-micromatch
+ , node-minimatch
+ , node-minimist
  , node-mkdirp (>= 0.5.1) <!nocheck>
+ , node-normalize-package-data
  , node-prompts <!nocheck>
+ , node-prop-types
+ , node-react
  , node-read-pkg (>= 5.2~)
- , node-sane <!nocheck>
+ , node-read-pkg-up
+ , node-resolve
+ , node-resolve-from
+ , node-rimraf
  , node-rollup-plugin-babel (>= 5.2~)
  , node-rollup-plugin-commonjs
  , node-rollup-plugin-json
  , node-rollup-plugin-node-resolve
  , node-rollup-plugin-typescript (>= 6.0~)
+ , node-sane <!nocheck>
+ , node-semver
+ , node-sinon
+ , node-slash
+ , node-source-map
+ , node-source-map-support
+ , node-stack-utils
+ , node-strip-ansi (>= 4.0.0) <!nocheck>
+ , node-strip-bom
+ , node-supports-color
+ , node-tough-cookie
+ , node-types-node
  , node-typescript (>= 4.0~)
- , node-strip-ansi (>= 4.0.0) <!nocheck>
+ , node-vinyl (>= 2.2.1+~2.0.4~)
+ , node-write-file-atomic
+ , node-yargs
+ , node-yargs-parser
  , rollup (>= 2~)
+ , ts-node
  , webpack
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-jest
@@ -39,24 +91,27 @@
 Rules-Requires-Root: no
 
 Package: jest
-Architecture: all
+Architecture: any
 Depends: ${misc:Depends}
  , node-ansi-regex
  , node-ansi-styles
  , node-anymatch
+ , node-babel-code-frame (>= 7)
+ , node-babel-core (>= 7)
  , node-babel-plugin-add-module-exports
- , node-babel7
+ , node-babel-template (>= 7)
+ , node-babel-traverse (>= 7)
+ , node-babel-types (>= 7)
  , node-camelcase
  , node-chalk
  , node-co
  , node-convert-source-map
- , node-cosmiconfig (>= 7.0.0+~cs8.3.2~)
+ , node-cosmiconfig
  , node-deepmerge
  , node-detect-newline
  , node-emittery
  , node-execa
  , node-exit
- , node-json-stable-stringify
  , node-glob
  , node-graceful-fs
  , node-is-generator-fn
@@ -64,6 +119,7 @@
  , node-jest-debbundle
  , node-jest-worker
  , node-jsdom
+ , node-json-stable-stringify
  , node-leven
  , node-micromatch
  , node-minimist
@@ -81,6 +137,8 @@
  , node-source-map-support
  , node-stack-utils
  , node-strip-bom
+ , node-types-babel-core
+ , node-types-babel-traverse
  , node-which
  , node-write-file-atomic
  , node-yargs
@@ -102,8 +160,7 @@
 Depends: ${misc:Depends}
  , node-merge-stream
  , node-supports-color
- , node-typescript-types
-Breaks: jest (<< 26.6.3+repack~)
+ , node-types-node
 Description: Nodejs module for executing heavy tasks under forked processes in parallel
  jest-worker provides a `Promise` based interface, minimum overhead and
  bound workers.
@@ -136,7 +193,6 @@
  , node-supports-color
  , nodejs
 Provides: ${jest:depsProvides}
-Breaks: jest (<< 26.6.3+repack~)
 Description: various ittle Node.js modules needed by jest
  This package provides:
   * astral-regex
