=== debian/watch ===
--- 
+++ 
@@ -1,6 +1,6 @@
 version=4
 opts=\
-repacksuffix=+ds,\
+repacksuffix=~ds,\
 dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
 filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-jest-$1.tar.gz/ \
  https://github.com/facebook/jest/tags .*/archive/v?([\d\.]+).tar.gz group
